@if (resource && mainButton) {
  <button #buttonRef
          mat-button
          mat-flat-button
          type="button"
          [color]="mainButton.color"
          [disabled]="mainButton.disableCondition && (mainButton.disableCondition(resource) | solidifyAsync)"
          (click)="mainButton.callback(resource, buttonRef._elementRef)"
          (onEnter)="mainButton.callback(resource, buttonRef._elementRef)"
          [tabIndex]="0"
          [matTooltip]="mainButton.tooltipToTranslate | translate"
          [solidifyDataTest]="mainButton.dataTest"
          [solidifyMatButtonTheme]="mainButton.typeButton"
          class="button"
          solidifyShortCuts
  >
    <solidify-icon [iconName]="mainButton.icon"></solidify-icon>
    {{mainButton.labelToTranslate(resource) | solidifyAsync | translate:mainButton.labelParams}}
    @if (listSubActions | isNotNullNorUndefinedNorEmptyArray) {
      <span [matMenuTriggerFor]="menu"
            (click)="preventClick($event)"
            class="menu-button"
      ><solidify-icon [iconName]="iconNameEnum.down"></solidify-icon></span>
      <mat-menu #menu="matMenu"
      >
        @for (subButton of listSubActions; track subButton) {
          <button mat-menu-item
                  [disabled]="subButton.disableCondition && (subButton.disableCondition(resource) | solidifyAsync)"
                  (click)="subButton.callback(resource)"
                  (onEnter)="subButton.callback(resource)"
                  [tabIndex]="0"
                  [matTooltip]="subButton.tooltipToTranslate | translate"
                  [matTooltipPosition]="'right'"
                  [solidifyDataTest]="subButton.dataTest"
                  [solidifyMatButtonTheme]="subButton.typeButton"
                  solidifyShortCuts
          >
            <solidify-icon [iconName]="subButton.icon"
                           ngProjectAs="mat-icon"
            ></solidify-icon>
            {{subButton.labelToTranslate(resource) | solidifyAsync | translate:subButton.labelParams}}
          </button>
        }
      </mat-menu>
    }
  </button>
}
